Package weka.gui

# Class SimpleCLIPanel.ClassRunner

java.lang.Object
java.lang.Thread
weka.gui.SimpleCLIPanel.ClassRunner

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  SimpleCLIPanel

public static class SimpleCLIPanel.ClassRunner extends Thread
A class that handles running the main method of the class in a separate thread.

Version:
  $Revision: 14983 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassRunner(SimpleCLIPanel owner, Class<?> theClass, String[] commandArgs)`
  Sets up the class runner thread.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `run()`
  Starts running the main method.

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClassRunner

    public ClassRunner(SimpleCLIPanel owner, Class<?> theClass, String[] commandArgs) throws Exception
    Sets up the class runner thread.
    Parameters:
      `theClass` - the Class to call the main method of
      `commandArgs` - an array of Strings to use as command line args
    Throws:
      `Exception` - if an error occurs

- ## Method Details

  - ### run

    public void run()
    Starts running the main method.
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`